package com.jiuqi.dna.ide.designer.commands;

import com.jiuqi.dna.ide.designer.DesignerMessages;
import com.jiuqi.dna.ide.designer.elements.ILinkElement;
import org.eclipse.draw2d.geometry.Point;

/* loaded from: com_jiuqi_dna_ide_designer_commands.jar:com/jiuqi/dna/ide/designer/commands/BendpointMoveCommand.class */
public class BendpointMoveCommand extends BendpointCommand {
    private Point oldBendpoint;

    public BendpointMoveCommand(ILinkElement link, int index, Point point) {
        super(link, index, point);
        this.oldBendpoint = link.getBendpoint(index);
        setLabel(DesignerMessages.BendPointMoveCommandLabel);
    }

    public boolean canExecute() {
        return this.link.canMoveBendpoint(this.index, this.point);
    }

    public void execute() {
        this.link.setBendpoint(this.index, this.point);
    }

    public void undo() {
        this.link.setBendpoint(this.index, this.oldBendpoint);
    }
}
